
Figure - Bug #114927
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】录屏状态下点击工具箱中的“录屏”按钮，不能结束当前录制
2022-12-29 14:27 - CD Test赵飞

Status: CLOSED Start date: 2022-12-29

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-05

Test Type: ST Root cause: 使用 SystemUI 的 RecordService 后，没有同步 record 状态。

Description

【前提条件】

1、设备已开机

2、游戏模式开启

3、进入游戏页面 

4、唤出工具箱

【测试步骤】

1、点击工具箱内录屏按钮

2、选项配置完成后，点击开始按钮

3、再次打开工具箱

4、点击工具箱内录屏按钮

【预期结果】

4、结束当前录制，并弹出提示

【实际结果】

4、弹出屏幕录制范围选项，当前录制没有被结束

History

#1 - 2022-12-29 16:31 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#2 - 2023-01-05 11:14 - CD FW-程天颖

- Status changed from New to ASSIGNED

#3 - 2023-01-05 11:21 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#4 - 2023-01-05 19:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174292 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:GameMode:Fix can not stop recording when click record button again.TC-RID: 1201-0204806IssueID: TS-R-BUG-114927Change-Id:

I95833a91dc025c13d2cf0da14a6dd6f33b355813

#5 - 2023-01-05 19:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174294 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SystemUI: Add recording state changed boardcast for GameMode.TC-RID: 1201-0201905IssueID: TS-R-BUG-114927Change-Id:

I45cf53726b8edb79f2a810a886f138e822e61fc6

#6 - 2023-01-05 19:43 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-05

- Root cause set to 使用 SystemUI 的 RecordService 后，没有同步 record 状态。

■ Current conclusion

已处理。

■ My analysis

使用 SystemUI 的 RecordService 后，没有同步 record 状态。通过监听 record 状态，来处理开始/停止录屏。

■ Next action

测试验证。

#7 - 2023-01-09 11:12 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

验证结果：PASS

点击工具箱内“停止录屏”按钮可以结束当前录屏

#8 - 2023-01-09 11:12 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
